﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls.ScheduleView;

namespace RadScheduleViewSpecialSlots
{
    public class MyViewModel: ViewModelBase
    {
        public ObservableCollection<Appointment> Appointments { set; get; }

        public ObservableCollection<Slot> SpecialSlots { set; get; }

        public MyViewModel()
        {
            Appointments = new ObservableCollection<Appointment>();
            SpecialSlots = new ObservableCollection<Slot>();

            var dtT = new DateTime(2011, 9, 28, 9, 0, 0);
            WorkingHourOccurence workingDayOcc = new WorkingHourOccurence();
            workingDayOcc.Start = dtT;
            workingDayOcc.End = dtT.AddDays(1);
           // workingDayOcc.Effort = 5.0;
             workingDayOcc.RecurrencePattern = new RecurrencePattern(null, RecurrenceDays.WeekDays, RecurrenceFrequency.Daily, 1, null, null);

             SpecialSlots.Add(workingDayOcc);
        }
    }
}
