﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace RadScheduleViewSpecialSlots
{
    public class SpecialSlotStyleSelector : ScheduleViewStyleSelector
    {
        public Style SundayStyle { get; set; }
        public Style SaturdayStyle { get; set; }
        public Style WorkingHourStyle { get; set; }
        public Style HolidayHourStyle { get; set; }


        public override Style SelectStyle(object item, DependencyObject container, ViewDefinitionBase activeViewDeifinition)
        {
            if (item is SundayOccurence)
            {
                return this.SundayStyle;
            }
            else if (item is SaturdayOccurence)
            {
                return this.SaturdayStyle;
            }
            else if (item is WorkingHourOccurence)
            {
                return this.WorkingHourStyle;
            }
            else if (item is HolidayOccurence)
            {
                return this.HolidayHourStyle;
            }
            return base.SelectStyle(item, container, activeViewDeifinition);
        }
    }
}
